## org.apache.mahout.clustering.evaluation
Class RepresentativePointsDriver

    java.lang.Object
      org.apache.hadoop.conf.Configured
          org.apache.mahout.common.AbstractJob
              org.apache.mahout.clustering.evaluation.RepresentativePointsDriver

All Implemented Interfaces:
  org.apache.hadoop.conf.Configurable, org.apache.hadoop.util.Tool

    public final class RepresentativePointsDriver

extends AbstractJob

Field Summary
`static String` `DISTANCE_MEASURE_KEY`
`static String` `STATE_IN_KEY`

Fields inherited from class org.apache.mahout.common.AbstractJob
`argMap, inputFile, inputPath, outputFile, outputPath, tempPath`

Method Summary
`static void` `main(String[] args)`
`static void` `printRepresentativePoints(org.apache.hadoop.fs.Path output, int numIterations)` Utility to print out representative points
`static void` `run(org.apache.hadoop.conf.Configuration conf, org.apache.hadoop.fs.Path clustersIn, org.apache.hadoop.fs.Path clusteredPointsIn, org.apache.hadoop.fs.Path output, DistanceMeasure measure, int numIterations, boolean runSequential)`
`int` `run(String[] args)`

Methods inherited from class org.apache.mahout.common.AbstractJob

`addFlag, addInputOption, addOption, addOption, addOption, addOption, addOutputOption, buildOption, buildOption, getAnalyzerClassFromOption, getCLIOption, getConf, getDimensions, getFloat, getFloat, getGroup, getInputFile, getInputPath, getInt, getInt, getOption, getOption, getOption, getOptions, getOutputFile, getOutputPath, getOutputPath, getTempPath, getTempPath, hasOption, keyFor, maybePut, parseArguments, parseArguments, parseDirectories, prepareJob, prepareJob, prepareJob, prepareJob, setConf, setS3SafeCombinedInputPath, shouldRunNextPhase`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STATE_IN_KEY

    public static final String STATE_IN_KEY

See Also:
  Constant Field Values

### DISTANCE_MEASURE_KEY

    public static final String DISTANCE_MEASURE_KEY

See Also:
  Constant Field Values

Method Detail

### main

    public static void main(String[] args)
                     throws Exception

  Throws:
    `Exception`

### run

    public int run(String[] args)
            throws ClassNotFoundException,
                   IOException,
                   InterruptedException

  Throws:
    `ClassNotFoundException`
    `IOException`
    `InterruptedException`

### printRepresentativePoints

    public static void printRepresentativePoints(org.apache.hadoop.fs.Path output,
                                                 int numIterations)

  Utility to print out representative points

  Parameters:
    `output` - the Path to the directory containing representativePoints-i folders
    `numIterations` - the int number of iterations to print
  Throws:
    `IOException` - if errors occur

### run

    public static void run(org.apache.hadoop.conf.Configuration conf,
                           org.apache.hadoop.fs.Path clustersIn,
                           org.apache.hadoop.fs.Path clusteredPointsIn,
                           org.apache.hadoop.fs.Path output,
                           DistanceMeasure measure,
                           int numIterations,
                           boolean runSequential)
                    throws IOException,
                           InterruptedException,
                           ClassNotFoundException

  Throws:
    `IOException`
    `InterruptedException`
    `ClassNotFoundException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.